<?php

/**
 * This file is part of the MediaWiki extension SubpageNavigation.
 *
 * SubpageNavigation is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * SubpageNavigation is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SubpageNavigation.  If not, see <http://www.gnu.org/licenses/>.
 *
 * @file
 * @ingroup extensions
 * @author thomas-topway-it <support@topway.it>
 * @copyright Copyright ©2023-2024, https://wikisphere.org
 */
namespace Skins\Chameleon\Components;

use SubpageNavigation;

class SubpageNavigationTree extends Component {

	/**
	 * @return string
	 */
	public function getHtml() {
		if ( empty( $GLOBALS['wgSubpageNavigationShowTree'] ) ) {
			return wfMessage( 'subpagenavigation-chameleon-enable-tree' )->text();
		}
		return SubpageNavigation::getTreeHtml( $this->getSkin()->getOutput() );
	}

}
